<?
if(isset($_POST['nick']) && isset($_POST['password']) && isset($_POST['password2']) && isset($_POST ['pol']) && $_POST['mdp']==$ku['mdp'])
{
if($ku['guest']==1)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1"),0)!=0)err_game("Этот ник уже зарегистрирован. Выберите другой!");
elseif( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))err_game('В нике присутствуют запрещенные символы');
elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))err_game('Запрещено использовать пробел в начале и конце ника');
elseif (strlen2($_POST['nick'])<4)err_game('Короткий ник');
elseif (strlen2($_POST['nick'])>32)err_game('Длина ника превышает 32 символа');
elseif(strlen2($_POST['password'])<6)err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');
elseif(strlen2($_POST['password'])>32)err_game('Длина пароля превышает 32 символа');
elseif($_POST['password']!=$_POST['password2'])err_game('Пароли не совпадают');
else
{
update_ku('nick',my_esc($_POST['nick']));
update_ku('password',md5($_POST['password']));
update_ku('pol',intval($_POST['pol']));
update_ku('guest',0);
update_ku('autologin',md5("nick:".$_POST['nick'].",password:".md5($_POST['password']).",id:".$ku['id'].""));
$_SESSION['msg']="<div>Успешно сохранено! </div><div><img width='16' height='16' src='images/icons/back.png' alt='o'> <a href='/'>В игру</a></div>";
header("Location:?active_nick");
exit;
}
}
else header("Location:/?myfarm");
}
if($ku['guest']==0){header("Location:/?myfarm");}else{
echo'<div class="event">
<h1>Регистрация</h1>
</div>
<div class="content">
<div class="block">
<form class="pt" method="post">';echo"<div
style='width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden'><input type='hidden' name='mdp' value='".md5($ku['password'])."'></div>";
echo'<label>
<div>Ник:</div>
<div><input type="text" class="wide" value=""
name="nick"></div>
</label>
<div class="small minor">Ник может содержать до 2-х пробелов.</div>
<label><div>Пароль:</div><div><input type="text" class="wide" value="" name="password"></div></label>
<div class="small minor">Пароль должен содержать хотя бы 1 букву, 1 цифру и быть длиной от 6 до 20 символов.</div>
<label><div>Повтор пароля:</div><div><input type="text" class="wide" value="" name="password2"></div></label>';
echo'<label><div>Пол:<br>';echo"<select name='pol'><option value='1'>Мужской</option><option value='0'>Женский</option>";echo'</select></div></label></br>';
echo'<div>
<input type="submit" value="Сменить">
</div>
</form>
</div>';
include_once 'inc/foot.php';} ?>